summaryrefslogtreecommitdiffstats
path: root/gettext-tools/tests
diff options
context:
space:
mode:
Diffstat (limited to 'gettext-tools/tests')
-rwxr-xr-xgettext-tools/tests/msgcomm-26112
1 files changed, 112 insertions, 0 deletions
diff --git a/gettext-tools/tests/msgcomm-26 b/gettext-tools/tests/msgcomm-26
new file mode 100755
index 0000000..c1ab5f3
--- /dev/null
+++ b/gettext-tools/tests/msgcomm-26
@@ -0,0 +1,112 @@
+#! /bin/sh
+
+# Test msgcomm on PO files with previous msgids.
+
+tmpfiles=""
+trap 'rm -fr $tmpfiles' 1 2 3 15
+
+tmpfiles="$tmpfiles mcomm-test26.in1"
+cat <<\EOF > mcomm-test26.in1
+msgid ""
+msgstr ""
+"Content-Type: text/plain; charset=UTF-8\n"
+"Content-Transfer-Encoding: 8bit\n"
+
+#. TRANSLATORS: An error message.
+#: src/args.c:242
+#, c-format
+msgid "too many arguments"
+msgstr "zu viele Argumente"
+
+#. TRANSLATORS: An error message.
+#: src/args.c:247
+#, fuzzy, c-format
+#| msgid "too many arguments"
+msgid "too few arguments"
+msgstr "zu viele Argumente"
+
+# Oder besser "fehlende Argumente"?
+#. TRANSLATORS: An error message.
+#: src/args.c:273
+#, c-format
+msgid "missing arguments"
+msgstr "Argumente fehlen"
+
+#: getopt.c:796 getopt.c:799
+#, fuzzy, c-format
+#| msgid "%s: invalid option -- %c\n"
+msgid "%s: illegal option -- %c\n"
+msgstr "%s: ungültige Option -- %c\n"
+
+#: getopt.c:805 getopt.c:808
+#, c-format
+msgid "%s: invalid option -- %c\n"
+msgstr "%s: ungültige Option -- %c\n"
+EOF
+
+tmpfiles="$tmpfiles mcomm-test26.in2"
+cat <<\EOF > mcomm-test26.in2
+msgid ""
+msgstr ""
+"Content-Type: text/plain; charset=UTF-8\n"
+"Content-Transfer-Encoding: 8bit\n"
+
+#. TRANSLATORS: An error message.
+#: src/args.c:247
+#, c-format
+msgid "too few arguments"
+msgstr "zu wenige Argumente"
+
+#. TRANSLATORS: An error message.
+#: src/args.c:242
+#, fuzzy, c-format
+#| msgid "too few arguments"
+msgid "too many arguments"
+msgstr "zu wenige Argumente"
+
+#: getopt.c:796 getopt.c:799
+#, fuzzy, c-format
+#| msgid "%s: invalid options -- %c\n"
+msgid "%s: illegal option -- %c\n"
+msgstr "%s: ungültige Optionen -- %c\n"
+EOF
+
+tmpfiles="$tmpfiles mcomm-test26.out"
+: ${MSGCOMM=msgcomm}
+${MSGCOMM} -o mcomm-test26.out mcomm-test26.in1 mcomm-test26.in2
+test $? = 0 || { rm -fr $tmpfiles; exit 1; }
+
+tmpfiles="$tmpfiles mcomm-test26.ok"
+cat <<\EOF > mcomm-test26.ok
+msgid ""
+msgstr ""
+"Content-Type: text/plain; charset=UTF-8\n"
+"Content-Transfer-Encoding: 8bit\n"
+
+#. TRANSLATORS: An error message.
+#: src/args.c:242
+#, c-format
+msgid "too many arguments"
+msgstr "zu viele Argumente"
+
+#. TRANSLATORS: An error message.
+#: src/args.c:247
+#, fuzzy, c-format
+#| msgid "too many arguments"
+msgid "too few arguments"
+msgstr "zu viele Argumente"
+
+#: getopt.c:796 getopt.c:799
+#, fuzzy, c-format
+#| msgid "%s: invalid option -- %c\n"
+msgid "%s: illegal option -- %c\n"
+msgstr "%s: ungültige Option -- %c\n"
+EOF
+
+: ${DIFF=diff}
+${DIFF} mcomm-test26.ok mcomm-test26.out
+result=$?
+
+rm -fr $tmpfiles
+
+exit $result